Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceDestination

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.voice.common.bean.VoiceDestination

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class VoiceDestination extends IdTitle
Класс-модель Направление модуля Voice. Характеризуется кодом, названием, привязывается к определенному оператору. Используется при тарификации при определении направления звонка.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceDestination()`
  `VoiceDestination(int id, String title)`
  `VoiceDestination(String title)`
  `VoiceDestination(String title, int operatorId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCodeLinkCount()`
  `static Map<Integer,VoiceDestination>`
  `getDestinationMap(List<VoiceDestination> destinationList)`
  `int`
  `getOperatorId()`
  Получение кода оператора, к которому привязано направление.
  `int`
  `getRangeLinkCount()`
  `void`
  `setCodeLinkCount(int codeLinkCount)`
  `void`
  `setOperatorId(int operatorId)`
  Установка кода оператора, к которому привязано направление.
  `void`
  `setRangeLinkCount(int rangeLinkCount)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### VoiceDestination

    public VoiceDestination()

  - ### VoiceDestination

    public VoiceDestination(int id, String title)

  - ### VoiceDestination

    public VoiceDestination(String title, int operatorId)

  - ### VoiceDestination

    public VoiceDestination(String title)

- ## Method Details

  - ### getOperatorId

    public int getOperatorId()
    Получение кода оператора, к которому привязано направление.
    Returns:
      код оператора.

  - ### setOperatorId

    public void setOperatorId(int operatorId)
    Установка кода оператора, к которому привязано направление.
    Parameters:
      `operatorId` - код оператора.

  - ### getCodeLinkCount

    public int getCodeLinkCount()

  - ### setCodeLinkCount

    public void setCodeLinkCount(int codeLinkCount)

  - ### getRangeLinkCount

    public int getRangeLinkCount()

  - ### setRangeLinkCount

    public void setRangeLinkCount(int rangeLinkCount)

  - ### getDestinationMap

    public static Map<Integer,VoiceDestination> getDestinationMap(List<VoiceDestination> destinationList)